Bug 164843

Summary: [NEW PORT] net/freerdp: new version 1.0.0 (and suggest repocopy of existing freerdp)
Product: Ports & Packages Reporter: Andriy Gapon <avg>
Component: Individual Port(s)Assignee: Dima Panov <fluffy>
Status: Closed FIXED    
Severity: Affects Only Me CC: avl
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
freerdp-1.0.0.shar
none
freerdp.shar
none
freerdp.shar.txt
none
freerdp.shar
none
freerdp_1_0_2_patch.txt none

Description Andriy Gapon 2012-02-07 10:40:10 UTC
FreeRDP 1.0.0 is a complete a re-write of FreeRDP and is released
under a new license (Apache).  FreeRDP 0.X is/was a fork of rdesktop
and was released under GPL license.
For this reason I think that it might make sense to preserve current
version of net/freerdp (0.8.2) as e.g. net/freerdp-legacy and recycle
net/freerdp for version 1.0.0.
That's why I am submitting version 1.0.0 as a new port while preserving
the original maintainer.

If it would be more convenient to just update net/freerdp in-place,
then I do not have any objections/reservations.

If a diff against the current version would be more convenient, then
I can generate and submit it.

Please review, test, comment and commit :-)

WWW: http://www.freerdp.com/

Generated with FreeBSD Port Tools 0.99
Comment 1 Mathias.Picker 2012-02-07 12:02:46 UTC
Just a short feedback: I just tried to install this on 9-stable with the
new xorg 7.5.2 and I need SSE2 option off and to set CFLAGS and LDFLAGS
to /usr/local/[include|lib] to get it to build...

log: http://bpaste.net/show/23105/

Thanks for the port, maybe I can finally log in to some stubborn win
server I now use windows for...

Cheers, Mathias
Comment 2 Andriy Gapon freebsd_committer 2012-02-07 12:58:55 UTC
on 07/02/2012 14:02 Mathias Picker said the following:
> Just a short feedback: I just tried to install this on 9-stable with the
> new xorg 7.5.2 and I need SSE2 option off and to set CFLAGS and LDFLAGS
> to /usr/local/[include|lib] to get it to build...
> 
> log: http://bpaste.net/show/23105/
> 
> Thanks for the port, maybe I can finally log in to some stubborn win
> server I now use windows for...

Hmm, files/patch-libfreerdp-kbd-CMakeLists.txt was supposed to take care of that
build failure.

-- 
Andriy Gapon
Comment 3 Andriy Gapon freebsd_committer 2012-02-07 14:51:59 UTC
on 07/02/2012 14:58 Andriy Gapon said the following:
> on 07/02/2012 14:02 Mathias Picker said the following:
>> Just a short feedback: I just tried to install this on 9-stable with the
>> new xorg 7.5.2 and I need SSE2 option off and to set CFLAGS and LDFLAGS
>> to /usr/local/[include|lib] to get it to build...
>>
>> log: http://bpaste.net/show/23105/
>>
>> Thanks for the port, maybe I can finally log in to some stubborn win
>> server I now use windows for...
> 
> Hmm, files/patch-libfreerdp-kbd-CMakeLists.txt was supposed to take care of that
> build failure.
> 

Oops, looks like I haven't payed enough attention to your report.
A new shar is attached.


-- 
Andriy Gapon
Comment 4 Andriy Gapon freebsd_committer 2012-02-07 15:11:52 UTC
on 07/02/2012 16:51 Andriy Gapon said the following:
> Oops, looks like I haven't payed enough attention to your report.
> A new shar is attached.

Just in case, the same shar inline:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	freerdp
#	freerdp/pkg-plist
#	freerdp/files
#	freerdp/files/patch-cmake_FindXKBFile.cmake
#	freerdp/files/patch-cmake_FindX11.cmake
#	freerdp/files/patch-channels_drdynvc_tsmf_ffmpeg_CMakeLists.txt
#	freerdp/files/patch-libfreerdp-kbd-CMakeLists.txt
#	freerdp/pkg-descr
#	freerdp/distinfo
#	freerdp/Makefile
#
echo c - freerdp
mkdir -p freerdp > /dev/null 2>&1
echo x - freerdp/pkg-plist
sed 's/^X//' >freerdp/pkg-plist << 'c1cd4e062afd312e5a4aaf37845203a8'
Xbin/xfreerdp
Xinclude/freerdp/altsec.h
Xinclude/freerdp/api.h
Xinclude/freerdp/cache/bitmap.h
Xinclude/freerdp/cache/brush.h
Xinclude/freerdp/cache/cache.h
Xinclude/freerdp/cache/glyph.h
Xinclude/freerdp/cache/offscreen.h
Xinclude/freerdp/cache/palette.h
Xinclude/freerdp/cache/pointer.h
Xinclude/freerdp/channels/channels.h
Xinclude/freerdp/channels/wtsvc.h
Xinclude/freerdp/codec/bitmap.h
Xinclude/freerdp/codec/color.h
Xinclude/freerdp/codec/nsc.h
Xinclude/freerdp/codec/rfx.h
Xinclude/freerdp/constants.h
Xinclude/freerdp/dvc.h
Xinclude/freerdp/extension.h
Xinclude/freerdp/freerdp.h
Xinclude/freerdp/gdi/16bpp.h
Xinclude/freerdp/gdi/32bpp.h
Xinclude/freerdp/gdi/8bpp.h
Xinclude/freerdp/gdi/bitmap.h
Xinclude/freerdp/gdi/brush.h
Xinclude/freerdp/gdi/clipping.h
Xinclude/freerdp/gdi/dc.h
Xinclude/freerdp/gdi/drawing.h
Xinclude/freerdp/gdi/gdi.h
Xinclude/freerdp/gdi/line.h
Xinclude/freerdp/gdi/palette.h
Xinclude/freerdp/gdi/pen.h
Xinclude/freerdp/gdi/region.h
Xinclude/freerdp/gdi/shape.h
Xinclude/freerdp/graphics.h
Xinclude/freerdp/input.h
Xinclude/freerdp/kbd/kbd.h
Xinclude/freerdp/kbd/layouts.h
Xinclude/freerdp/kbd/locales.h
Xinclude/freerdp/kbd/vkcodes.h
Xinclude/freerdp/listener.h
Xinclude/freerdp/peer.h
Xinclude/freerdp/plugins/cliprdr.h
Xinclude/freerdp/plugins/tsmf.h
Xinclude/freerdp/pointer.h
Xinclude/freerdp/primary.h
Xinclude/freerdp/rail.h
Xinclude/freerdp/rail/icon.h
Xinclude/freerdp/rail/rail.h
Xinclude/freerdp/rail/window.h
Xinclude/freerdp/rail/window_list.h
Xinclude/freerdp/secondary.h
Xinclude/freerdp/settings.h
Xinclude/freerdp/svc.h
Xinclude/freerdp/types.h
Xinclude/freerdp/update.h
Xinclude/freerdp/utils/args.h
Xinclude/freerdp/utils/bitmap.h
Xinclude/freerdp/utils/blob.h
Xinclude/freerdp/utils/certstore.h
Xinclude/freerdp/utils/debug.h
Xinclude/freerdp/utils/dsp.h
Xinclude/freerdp/utils/event.h
Xinclude/freerdp/utils/file.h
Xinclude/freerdp/utils/hexdump.h
Xinclude/freerdp/utils/list.h
Xinclude/freerdp/utils/load_plugin.h
Xinclude/freerdp/utils/memory.h
Xinclude/freerdp/utils/mutex.h
Xinclude/freerdp/utils/passphrase.h
Xinclude/freerdp/utils/pcap.h
Xinclude/freerdp/utils/print.h
Xinclude/freerdp/utils/profiler.h
Xinclude/freerdp/utils/rail.h
Xinclude/freerdp/utils/rect.h
Xinclude/freerdp/utils/registry.h
Xinclude/freerdp/utils/semaphore.h
Xinclude/freerdp/utils/signal.h
Xinclude/freerdp/utils/sleep.h
Xinclude/freerdp/utils/stopwatch.h
Xinclude/freerdp/utils/stream.h
Xinclude/freerdp/utils/string.h
Xinclude/freerdp/utils/svc_plugin.h
Xinclude/freerdp/utils/thread.h
Xinclude/freerdp/utils/unicode.h
Xinclude/freerdp/utils/wait_obj.h
Xinclude/freerdp/window.h
Xlib/freerdp/audin.so
X%%ALSA%%lib/freerdp/audin_alsa.so
X%%PULSE%%lib/freerdp/audin_pulse.so
Xlib/freerdp/cliprdr.so
Xlib/freerdp/disk.so
Xlib/freerdp/drdynvc.so
Xlib/freerdp/parallel.so
Xlib/freerdp/printer.so
Xlib/freerdp/rail.so
Xlib/freerdp/rdpdbg.so
Xlib/freerdp/rdpdr.so
Xlib/freerdp/rdpsnd.so
X%%ALSA%%lib/freerdp/rdpsnd_alsa.so
X%%PULSE%%lib/freerdp/rdpsnd_pulse.so
Xlib/freerdp/serial.so
Xlib/freerdp/tsmf.so
X%%ALSA%%lib/freerdp/tsmf_alsa.so
X%%FFMPEG%%lib/freerdp/tsmf_ffmpeg.so
X%%PULSE%%lib/freerdp/tsmf_pulse.so
Xlib/libfreerdp-cache.so
Xlib/libfreerdp-cache.so.1.0
Xlib/libfreerdp-cache.so.1.0.0
Xlib/libfreerdp-channels.so
Xlib/libfreerdp-channels.so.1.0
Xlib/libfreerdp-channels.so.1.0.0
Xlib/libfreerdp-codec.so
Xlib/libfreerdp-codec.so.1.0
Xlib/libfreerdp-codec.so.1.0.0
Xlib/libfreerdp-core.so
Xlib/libfreerdp-core.so.1.0
Xlib/libfreerdp-core.so.1.0.0
Xlib/libfreerdp-gdi.so
Xlib/libfreerdp-gdi.so.1.0
Xlib/libfreerdp-gdi.so.1.0.0
Xlib/libfreerdp-kbd.so
Xlib/libfreerdp-kbd.so.1.0
Xlib/libfreerdp-kbd.so.1.0.0
Xlib/libfreerdp-rail.so
Xlib/libfreerdp-rail.so.1.0
Xlib/libfreerdp-rail.so.1.0.0
Xlib/libfreerdp-utils.so
Xlib/libfreerdp-utils.so.1.0
Xlib/libfreerdp-utils.so.1.0.0
Xlibdata/pkgconfig/freerdp.pc
X%%DATADIR%%/keymaps/aliases
X%%DATADIR%%/keymaps/amiga
X%%DATADIR%%/keymaps/ataritt
X%%DATADIR%%/keymaps/digital_vndr/lk
X%%DATADIR%%/keymaps/digital_vndr/pc
X%%DATADIR%%/keymaps/empty
X%%DATADIR%%/keymaps/evdev
X%%DATADIR%%/keymaps/fujitsu
X%%DATADIR%%/keymaps/hp
X%%DATADIR%%/keymaps/ibm
X%%DATADIR%%/keymaps/macintosh
X%%DATADIR%%/keymaps/macosx
X%%DATADIR%%/keymaps/sgi_vndr/indigo
X%%DATADIR%%/keymaps/sgi_vndr/indy
X%%DATADIR%%/keymaps/sgi_vndr/iris
X%%DATADIR%%/keymaps/sony
X%%DATADIR%%/keymaps/sun
X%%DATADIR%%/keymaps/xfree86
X%%DATADIR%%/keymaps/xfree98
X%%DATADIR%%/keymaps/xkb.pl
X@dirrm %%DATADIR%%/keymaps/sgi_vndr
X@dirrm %%DATADIR%%/keymaps/digital_vndr
X@dirrm %%DATADIR%%/keymaps
X@dirrm %%DATADIR%%
X@dirrm lib/freerdp
X@dirrm include/freerdp/utils
X@dirrm include/freerdp/rail
X@dirrm include/freerdp/plugins
X@dirrm include/freerdp/kbd
X@dirrm include/freerdp/gdi
X@dirrm include/freerdp/codec
X@dirrm include/freerdp/channels
X@dirrm include/freerdp/cache
X@dirrm include/freerdp
c1cd4e062afd312e5a4aaf37845203a8
echo c - freerdp/files
mkdir -p freerdp/files > /dev/null 2>&1
echo x - freerdp/files/patch-cmake_FindXKBFile.cmake
sed 's/^X//' >freerdp/files/patch-cmake_FindXKBFile.cmake <<
'58341909b2d8b80a6eb6bfeacf0bc4df'
X--- cmake/FindXKBFile.cmake.orig	2012-02-07 15:19:33.267936714 +0200
X+++ cmake/FindXKBFile.cmake	2012-02-07 15:19:50.678933702 +0200
X@@ -28,8 +28,7 @@
X # limitations under the License.
X #=============================================================================
X
X-find_path(XKBFILE_INCLUDE_DIR NAMES XKBfile.h
X-          PATH_SUFFIXES X11/extensions
X+find_path(XKBFILE_INCLUDE_DIR NAMES X11/extensions/XKBfile.h
X           DOC "The XKBFile include directory"
X )
X
58341909b2d8b80a6eb6bfeacf0bc4df
echo x - freerdp/files/patch-cmake_FindX11.cmake
sed 's/^X//' >freerdp/files/patch-cmake_FindX11.cmake <<
'525fd6726e3c7fdbd62c59d868737322'
X--- cmake/FindX11.cmake.orig	2012-02-07 15:26:21.366938380 +0200
X+++ cmake/FindX11.cmake	2012-02-07 15:26:27.188934427 +0200
X@@ -28,8 +28,7 @@
X # limitations under the License.
X #=============================================================================
X
X-find_path(X11_INCLUDE_DIR NAMES Xlib.h
X-          PATH_SUFFIXES X11
X+find_path(X11_INCLUDE_DIR NAMES X11/Xlib.h
X           DOC "The X11 include directory"
X )
X
525fd6726e3c7fdbd62c59d868737322
echo x - freerdp/files/patch-channels_drdynvc_tsmf_ffmpeg_CMakeLists.txt
sed 's/^X//' >freerdp/files/patch-channels_drdynvc_tsmf_ffmpeg_CMakeLists.txt <<
'719b8619f518db488766e467bbb27f69'
X--- channels/drdynvc/tsmf/ffmpeg/CMakeLists.txt.orig	2012-02-07
15:35:23.605935006 +0200
X+++ channels/drdynvc/tsmf/ffmpeg/CMakeLists.txt	2012-02-07 15:35:48.766936662 +0200
X@@ -28,7 +28,7 @@ add_library(tsmf_ffmpeg ${TSMF_FFMPEG_SR
X set_target_properties(tsmf_ffmpeg PROPERTIES PREFIX "")
X
X target_link_libraries(tsmf_ffmpeg freerdp-utils)
X-target_link_libraries(tsmf_ffmpeg ${FFMPEG_LIBRARIES})
X+target_link_libraries(tsmf_ffmpeg ${FFMPEG_LDFLAGS})
X
X install(TARGETS tsmf_ffmpeg DESTINATION ${FREERDP_PLUGIN_PATH})
X
719b8619f518db488766e467bbb27f69
echo x - freerdp/files/patch-libfreerdp-kbd-CMakeLists.txt
sed 's/^X//' >freerdp/files/patch-libfreerdp-kbd-CMakeLists.txt <<
'4e46a75a6a9ee2259a556506c13c0ac3'
X--- libfreerdp-kbd/CMakeLists.txt.orig	2012-01-16 19:52:14.000000000 +0200
X+++ libfreerdp-kbd/CMakeLists.txt	2012-02-07 15:20:05.189935258 +0200
X@@ -31,6 +31,7 @@ add_library(freerdp-kbd ${FREERDP_KBD_SR
X
X find_suggested_package(X11)
X if(X11_FOUND)
X+	include_directories(${X11_INCLUDE_DIRS})
X 	target_link_libraries(freerdp-kbd ${X11_LIBRARIES})
X endif()
X
4e46a75a6a9ee2259a556506c13c0ac3
echo x - freerdp/pkg-descr
sed 's/^X//' >freerdp/pkg-descr << 'dc31576c8b48de643d16599f501fd907'
XFreeRDP is a free implementation of the Remote Desktop Protocol (RDP),
Xreleased under the Apache license.
X
XWWW: http://www.freerdp.com/
dc31576c8b48de643d16599f501fd907
echo x - freerdp/distinfo
sed 's/^X//' >freerdp/distinfo << '45f19f49fe43857d0aac1f723a5e37e7'
XSHA256 (FreeRDP-1.0.0.tar.gz) =
8dab82ac2ab9019840dd32d06f62214bdfd7c51dcbeb632e012b5cfda617ebc0
XSIZE (FreeRDP-1.0.0.tar.gz) = 3490829
45f19f49fe43857d0aac1f723a5e37e7
echo x - freerdp/Makefile
sed 's/^X//' >freerdp/Makefile << '00b683be3deeebad713c0a799a6b5fd0'
X# New ports collection makefile for:	freerdp
X# Date created:				04 July 2010
X# Whom:					Alexander Logvinov <avl@FreeBSD.org>
X#
X# $FreeBSD: ports/net/freerdp/Makefile,v 1.6 2011/09/23 22:24:26 amdmi3 Exp $
X#
X
XPORTNAME=	freerdp
XPORTVERSION=	1.0.0
XCATEGORIES=	net comms ipv6
XMASTER_SITES=	http://cloud.github.com/downloads/FreeRDP/FreeRDP/
XDISTNAME=	FreeRDP-${PORTVERSION}
X
XMAINTAINER=	avl@FreeBSD.org
XCOMMENT=	A free remote desktop protocol client
X
XLICENSE=	AL2
XLICENSE_FILE=	${WRKSRC}/LICENSE
X
XWRKSRC=		${WRKDIR}/FreeRDP-FreeRDP-cd43ba1
X
XOPTIONS=	CUPS	"Enable printer support via CUPS"		off \
X		ALSA	"Enable sound support via ALSA emulation"	on  \
X		PULSE	"Enable sound support via PulseAudio"		off \
X		FFMPEG	"Enable multimedia redirection via ffmpeg"	off \
X		SSE2	"Enable SSE2 optimizations (GCC 4.6+ required)"	off
X
XUSE_CMAKE=	yes
XUSE_OPENSSL=	yes
XUSE_LDCONFIG=	yes
XUSE_XORG=	x11 xcursor xdamage xext xfixes xinerama xkbfile xtst xv
XMAN1=		xfreerdp.1
X
X.include <bsd.port.options.mk>
X
X.if !defined(WITHOUT_CUPS)
XCMAKE_ARGS+=	-DWITH_CUPS:BOOL=ON
XLIB_DEPENDS+=	cups.2:${PORTSDIR}/print/cups-base
X.else
XCMAKE_ARGS+=	-DWITH_CUPS:BOOL=OFF
X.endif
X
X.if !defined(WITHOUT_ALSA)
XCMAKE_ARGS+=	-DWITH_ALSA:BOOL=ON
XLIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
XPLIST_SUB+=	ALSA=""
X.else
XCMAKE_ARGS+=	-DWITH_ALSA:BOOL=OFF
XPLIST_SUB+=	ALSA="@comment "
X.endif
X
X.if !defined(WITHOUT_PULSE)
XCMAKE_ARGS+=	-DWITH_PULSEAUDIO:BOOL=ON
XLIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
XPLIST_SUB+=	PULSE=""
X.else
XCMAKE_ARGS+=	-DWITH_PULSEAUDIO:BOOL=OFF
XPLIST_SUB+=	PULSE="@comment "
X.endif
X
X.if !defined(WITHOUT_FFMPEG)
XCMAKE_ARGS+=	-DWITH_FFMPEG:BOOL=ON
XLIB_DEPENDS+=	avcodec.1:${PORTSDIR}/multimedia/ffmpeg
XPLIST_SUB+=	FFMPEG=""
X.else
XCMAKE_ARGS+=	-DWITH_FFMPEG:BOOL=OFF
XPLIST_SUB+=	FFMPEG="@comment "
X.endif
X
X.if !defined(WITHOUT_SSE2)
XCMAKE_ARGS+=	-DWITH_SSE2:BOOL=ON
XCMAKE_ARGS+=	-DWITH_SSE2_TARGET:BOOL=ON
XUSE_GCC=	4.6+
X.else
XCMAKE_ARGS+=	-DWITH_SSE2:BOOL=OFF
XCMAKE_ARGS+=	-DWITH_SSE2_TARGET:BOOL=OFF
X.endif
X
Xpost-patch:
X	@${FIND} ${WRKSRC} -name CMakeLists.txt | ${XARGS} ${REINPLACE_CMD} \
X		-e 's,share/man,man,g' \
X		-e 's,$${CMAKE_INSTALL_LIBDIR}/pkgconfig,libdata/pkgconfig,g'
X
X.include <bsd.port.mk>
00b683be3deeebad713c0a799a6b5fd0
exit


-- 
Andriy Gapon
Comment 5 Mathias.Picker 2012-02-07 16:06:34 UTC
On Di, 2012-02-07 at 17:11 +0200, Andriy Gapon wrote:
> on 07/02/2012 16:51 Andriy Gapon said the following:
> > Oops, looks like I haven't payed enough attention to your report.
> > A new shar is attached.
> 

Allmost, but not quite ;)

Building with SSE2 succeeds now. Actually, building with all options on
works.

Building without LDFLAGS=-L/usr/local/lib and pulse gives:

[ 78%] Building C object
channels/drdynvc/tsmf/pulse/CMakeFiles/tsmf_pulse.dir/tsmf_pulse.c.o
Linking C shared library tsmf_pulse.so
/usr/bin/ld: cannot find -lpulse
*** Error code 1




Thanks,

Mathias
Comment 6 Andriy Gapon freebsd_committer 2012-02-07 16:42:17 UTC
on 07/02/2012 18:06 Mathias Picker said the following:
> On Di, 2012-02-07 at 17:11 +0200, Andriy Gapon wrote:
>> on 07/02/2012 16:51 Andriy Gapon said the following:
>>> Oops, looks like I haven't payed enough attention to your report.
>>> A new shar is attached.
>>
> 
> Allmost, but not quite ;)
> 
> Building with SSE2 succeeds now. Actually, building with all options on
> works.
> 
> Building without LDFLAGS=-L/usr/local/lib and pulse gives:
> 
> [ 78%] Building C object
> channels/drdynvc/tsmf/pulse/CMakeFiles/tsmf_pulse.dir/tsmf_pulse.c.o
> Linking C shared library tsmf_pulse.so
> /usr/bin/ld: cannot find -lpulse
> *** Error code 1

Thank you for the report!  pulseaudio is the only option that I haven't tried
after the latest update.
What about the attached version?

-- 
Andriy Gapon
Comment 7 Mathias.Picker 2012-02-07 16:53:21 UTC
Hi Andriy,

this one works fine!


Thank you,

Mathias

On Di, 2012-02-07 at 18:42 +0200, Andriy Gapon wrote:
> on 07/02/2012 18:06 Mathias Picker said the following:
> > On Di, 2012-02-07 at 17:11 +0200, Andriy Gapon wrote:
> >> on 07/02/2012 16:51 Andriy Gapon said the following:
> >>> Oops, looks like I haven't payed enough attention to your report.
> >>> A new shar is attached.
> >>
> > 
> > Allmost, but not quite ;)
> > 
> > Building with SSE2 succeeds now. Actually, building with all options on
> > works.
> > 
> > Building without LDFLAGS=-L/usr/local/lib and pulse gives:
> > 
> > [ 78%] Building C object
> > channels/drdynvc/tsmf/pulse/CMakeFiles/tsmf_pulse.dir/tsmf_pulse.c.o
> > Linking C shared library tsmf_pulse.so
> > /usr/bin/ld: cannot find -lpulse
> > *** Error code 1
> 
> Thank you for the report!  pulseaudio is the only option that I haven't tried
> after the latest update.
> What about the attached version?
>
Comment 8 Kurt Jaeger 2012-02-08 18:16:14 UTC
Hi!

I tried it on amd64, 9.0-REL and with ALSA and it failed to compile.

See http://opsec.eu/backup/freerdp-alsa-error

for the compile log.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 9 Andriy Gapon freebsd_committer 2012-02-08 21:20:09 UTC
on 08/02/2012 20:16 Kurt Jaeger said the following:
> Hi!
> 
> I tried it on amd64, 9.0-REL and with ALSA and it failed to compile.
> 
> See http://opsec.eu/backup/freerdp-alsa-error
> 
> for the compile log.
> 

Thank you for the report.
Could you please reproduce the problem using the following commands
make clean
make VERBOSE=1
and share the compile log?
Thanks!

-- 
Andriy Gapon
Comment 10 Kurt Jaeger 2012-02-09 06:32:45 UTC
Hi!

> > I tried it on amd64, 9.0-REL and with ALSA and it failed to compile.
> > 
> > See http://opsec.eu/backup/freerdp-alsa-error
> > 
> > for the compile log.

> Thank you for the report.
> Could you please reproduce the problem using the following commands
> make clean
> make VERBOSE=1
> and share the compile log?

http://opsec.eu/backup/freerdp-alsa-error-2

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 11 Andriy Gapon freebsd_committer 2012-02-09 08:25:25 UTC
on 09/02/2012 08:32 Kurt Jaeger said the following:
> 
> http://opsec.eu/backup/freerdp-alsa-error-2
> 

Thank you again.
I think that the problem is with cmake's module for detecting alsa, which sets
alsa include path to /usr/local/include/alsa instead of correct /usr/local/include.

Please find a new shar attached.

-- 
Andriy Gapon
Comment 12 Alexander Logvinov freebsd_committer 2012-02-10 04:26:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

I'll take it.
Comment 13 R.Mahmatkhanov 2012-03-15 11:50:14 UTC
Hi, Andriy!

Just tried your latest shar in gnats in it fails to fetch:

[rm@smeshariki3 freerdp]> sudo -E make
===>  License AL2 accepted by the user
===>  Found saved configuration for freerdp-1.0.0
=> FreeRDP-1.0.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch 
http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz
fetch: 
http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz: 
Forbidden
=> Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/FreeRDP-1.0.0.tar.gz
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/FreeRDP-1.0.0.tar.gz: 
Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** [do-fetch] Error code 1

Stop in /tmp/freerdp.
*** [build] Error code 1

Stop in /tmp/freerdp.


-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 14 Andriy Gapon freebsd_committer 2012-03-19 07:54:53 UTC
on 15/03/2012 13:50 Ruslan Mahmatkhanov said the following:
> Hi, Andriy!
> 
> Just tried your latest shar in gnats in it fails to fetch:
> 
> [rm@smeshariki3 freerdp]> sudo -E make
> ===>  License AL2 accepted by the user
> ===>  Found saved configuration for freerdp-1.0.0
> => FreeRDP-1.0.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
> => Attempting to fetch
> http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz
> fetch: http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz:
> Forbidden

Thank you for the report.
Looks like the upstream has changes their distfile naming convention.
BTW, I keep the latest version here of the port here:
https://redports.org/browser/avg/net/freerdp
Please also note that the port maintainer also has a slightly different (and
probably better) version of a patch to update the port.

-- 
Andriy Gapon
Comment 15 R.Mahmatkhanov 2012-03-19 07:59:53 UTC
Andriy Gapon wrote on 19.03.2012 11:54:
> on 15/03/2012 13:50 Ruslan Mahmatkhanov said the following:
>> Hi, Andriy!
>>
>> Just tried your latest shar in gnats in it fails to fetch:
>>
>> [rm@smeshariki3 freerdp]>  sudo -E make
>> ===>   License AL2 accepted by the user
>> ===>   Found saved configuration for freerdp-1.0.0
>> =>  FreeRDP-1.0.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
>> =>  Attempting to fetch
>> http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz
>> fetch: http://cloud.github.com/downloads/FreeRDP/FreeRDP/FreeRDP-1.0.0.tar.gz:
>> Forbidden
>
> Thank you for the report.
> Looks like the upstream has changes their distfile naming convention.
> BTW, I keep the latest version here of the port here:
> https://redports.org/browser/avg/net/freerdp
> Please also note that the port maintainer also has a slightly different (and
> probably better) version of a patch to update the port.
>

Yes, he provided me with latest tarball (1.0.1) and everything working 
fine to me.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 16 Andriy Gapon freebsd_committer 2012-07-04 13:38:52 UTC
Time passes, freerdp port is still at 0.8.2...
Is any variant of the update to 1.0.1 going to be committed?
(esp. given upcoming 9.1 release)
-- 
Andriy Gapon
Comment 17 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:48:56 UTC
Responsible Changed
From-To: avl->freebsd-ports-bugs

Return this one to the pool -- avl has asked that his ports be reassigned 
to ports@.
Comment 18 Ruslan Makhmatkhanov freebsd_committer 2013-03-15 07:28:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 19 Koichiro IWAO 2013-03-15 07:43:01 UTC
I independently of this PR made an update to 1.0.2.
Probably this still have some issue to fix but please see.
Comment 20 Koichiro IWAO 2013-03-15 08:27:40 UTC
I explain patches of my update placed in files directory.

files/patch-libfreerdp-*:
   Backport patches. The issues are fixed in recent master repo. But not 
included in 1.0.2 release.
   https://github.com/FreeRDP/FreeRDP/issues/536
   https://github.com/FreeRDP/FreeRDP/pull/544

files/patch-cmake_FindFFmpeg.cmake:
   To use multimedia/ffmpeg-devel instead of miltimedia/ffmpeg.

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 21 dfilter service freebsd_committer 2013-03-17 09:05:08 UTC
Author: fluffy
Date: Sun Mar 17 09:04:56 2013
New Revision: 314414
URL: http://svnweb.freebsd.org/changeset/ports/314414

Log:
  - Update FreeRDP to 1.0.2 release
  - Big thanks for Andriy Gapon and Koichiro IWAO for submitting patches
  
  PR:		164843
  Submitted by:	Andriy Gapon, Koichiro IWAO

Added:
  head/net/freerdp/files/
  head/net/freerdp/files/patch-cmake_FindFFmpeg.cmake   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-codec_CMakeLists.txt   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-codec_color.c   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-core_fastpath.c   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-core_orders.c   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-gdi_16bpp.c   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-gdi_32bpp.c   (contents, props changed)
  head/net/freerdp/files/patch-libfreerdp-gdi_8bpp.c   (contents, props changed)
Modified:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo   (contents, props changed)
  head/net/freerdp/pkg-descr   (contents, props changed)
  head/net/freerdp/pkg-plist   (contents, props changed)

Modified: head/net/freerdp/Makefile
==============================================================================
--- head/net/freerdp/Makefile	Sun Mar 17 08:58:50 2013	(r314413)
+++ head/net/freerdp/Makefile	Sun Mar 17 09:04:56 2013	(r314414)
@@ -1,88 +1,107 @@
-# New ports collection makefile for:	freerdp
-# Date created:				04 July 2010
-# Whom:					Alexander Logvinov <avl@FreeBSD.org>
-#
+# Created by: Alexander Logvinov <avl@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	freerdp
-PORTVERSION=	0.8.2
-PORTREVISION=	1
+PORTVERSION=	1.0.2
 CATEGORIES=	net comms ipv6
-MASTER_SITES=	SF/${PORTNAME}/0.8
 
 MAINTAINER=	fluffy@FreeBSD.org
-COMMENT=	A free remote desktop protocol client
+COMMENT=	A free implementation of Remote Desktop Protocol
 
-OPTIONS=	CUPS		"Enable printer support via CUPS"		on \
-		SOUND		"Enable sound support via ALSA"			on \
-		SAMPLERATE	"Enable libsamplerate support for sound"	off
+LICENSE=	AL2
+LICENSE_FILE=	${WRKSRC}/LICENSE
 
-GNU_CONFIGURE=	yes
+USE_PKGCONFIG=	build
 USE_OPENSSL=	yes
-USE_GNOME=	gnomehack pkgconfig
 USE_LDCONFIG=	yes
+USE_CMAKE=	yes
+USE_GITHUB=	yes
+GH_ACCOUNT=	FreeRDP
+GH_PROJECT=	FreeRDP
+GH_COMMIT=	616aed4
+GH_TAGNAME=	${GH_COMMIT}
+GNU_CONFIGURE=	yes
 
 LDFLAGS+=	-L${LOCALBASE}/lib
+CFLAGS+=	-I${LOCALBASE}/include
 CPPFLAGS+=	-I${LOCALBASE}/include
 
-LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
+OPTIONS_DEFINE=	ALSA DIRECTFB FFMPEG PULSEAUDIO SSE X11
+OPTIONS_DEFAULT=	CUPS PULSEAUDIO X11
+X11_DESC=	Build FreeRDP X11 client
+DIRECTFB_DESC=	Build FreeRDP DirectFB client
 
 .include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_IPV6)
-CONFIGURE_ARGS+=--enable-ipv6
+.if ${PORT_OPTIONS:MX11}
+USE_XORG=	x11 xkbfile xcursor xextproto xv xinerama xext xcursor
+CMAKE_ARGS+=	-DWITH_X11=ON
+BUILD_DEPENDS+=	xmlto:${PORTSDIR}/textproc/xmlto
+MAN1=		xfreerdp.1
+PLIST_SUB+=	X11=""
 .else
-CONFIGURE_ARGS+=--disable-ipv6
+CMAKE_ARGS+=	-DWITH_X11=OFF
+PLIST_SUB+=	X11="@comment "
 .endif
 
-.if !defined(WITHOUT_ICONV)
-USE_ICONV=	yes
-CONFIGURE_ARGS+=--with-libiconv-prefix=${LOCALBASE}
+.if ${PORT_OPTIONS:MDIRECTFB}
+LIB_DEPENDS+=	directfb:${PORTSDIR}/devel/directfb
+CMAKE_ARGS+=	-DWITH_DIRECTFB=ON
+PLIST_SUB+=	DIRECTFB=""
+# currently DirectFB option fails with clang
+USE_GCC=	yes
 .else
-CONFIGURE_ARGS+=--disable-iconv
+PLIST_SUB+=	DIRECTFB="@comment "
 .endif
 
-.if defined(WITHOUT_X11)
-CONFIGURE_ARGS+=--with-x=no
-PLIST_SUB+=	X11="@comment "
+.if ${PORT_OPTIONS:MALSA}
+PLIST_SUB+=	ALSA=""
 .else
-USE_XORG=	x11 xcursor xextproto
-CONFIGURE_ARGS+=--with-x
-MAN1=		xfreerdp.1
-PLIST_SUB+=	X11=""
+PLIST_SUB+=	ALSA="@comment "
+CMAKE_ARGS+=	-DWITH_ALSA=OFF
 .endif
 
-.if !defined(WITHOUT_CUPS)
-CONFIGURE_ARGS+=--with-printer=cups
-LIB_DEPENDS+=	cups.2:${PORTSDIR}/print/cups-base
+.if ${PORT_OPTIONS:MFFMPEG}
+# the newer ffmpeg is prefered
+LIB_DEPENDS+=	avcodec-devel:${PORTSDIR}/multimedia/ffmpeg-devel \
+		avutil-devel:${PORTSDIR}/multimedia/ffmpeg-devel
+AVCODEC_INCLUDE_DIR=	${LOCALBASE}/include/ffmpeg-devel
+AVCODEC_LIBRARY=	${LOCALBASE}/lib/ffmpeg-devel
+AVUTIL_INCLUDE_DIR=	${AVCODEC_INCLUDE_DIR}
+AVUTIL_LIBRARY=		${AVCODEC_LIBRARY}
+CFLAGS+=	-I${AVCODEC_INCLUDE_DIR}
+LDFLAGS+=	-I${AVCODEC_LIBRARY}
+PLIST_SUB+=	FFMPEG=""
 .else
-CONFIGURE_ARGS+=--with-printer=no
+CMAKE_ARGS+=	-DWITH_FFMPEG=OFF
+PLIST_SUB+=	FFMPEG="@comment "
 .endif
 
-.if !defined(WITHOUT_SOUND)
-CONFIGURE_ARGS+=--with-sound=alsa
-LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
-PLIST_SUB+=	SOUND=""
-.if !defined(WITHOUT_SAMPLERATE)
-LIB_DEPENDS+=	samplerate.1:${PORTSDIR}/audio/libsamplerate
+.if ${PORT_OPTIONS:MCUPS}
+CMAKE_ARGS+=	-DWITH_CUPS=ON
+LIB_DEPENDS+=	cups:${PORTSDIR}/print/cups-base
 .else
-CONFIGURE_ARGS+=--without-libsamplerate
+CMAKE_ARGS+=	-DWITH_CUPS=OFF
 .endif
+
+.if ${PORT_OPTIONS:MPULSEAUDIO}
+CMAKE_ARGS+=	-DWITH_PULSEAUDIO=ON
+LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
+PLIST_SUB+=	PULSE=""
 .else
-CONFIGURE_ARGS+=--with-sound=no
-PLIST_SUB+=	SOUND="@comment "
+PLIST_SUB+=	PULSE="@comment "
+CMAKE_ARGS+=	-DWITH_PULSEAUDIO=OFF
 .endif
 
-post-patch:
-.if defined(WITHOUT_X11)
-	@${REINPLACE_CMD} -e 's|man_MANS = |man_MANS1 = |g' ${WRKSRC}/doc/Makefile.in
+.if ${PORT_OPTIONS:MSSE}
+CMAKE_ARGS+=	-DWITH_SSE2=ON
+.else
+CMAKE_ARGS+=	-DWITH_SSE2=OFF
 .endif
-	@${REINPLACE_CMD} -e 's|-ldl -lpthread|${PTHREAD_LIBS}|' \
-		${WRKSRC}/libfreerdpchanman/Makefile.in
-	@${REINPLACE_CMD} -e 's|-I$$(top_builddir)|-I$$(top_builddir)/include|' \
-		${WRKSRC}/libfreerdp/Makefile.in ${WRKSRC}/libfreerdpgdi/Makefile.in \
-		${WRKSRC}/libfreerdpkbd/Makefile.in ${WRKSRC}/X11/Makefile.in
 
+post-extract:
+	${REINPLACE_CMD} -e 's|$${CMAKE_INSTALL_LIBDIR}/pkgconfig|libdata/pkgconfig|' \
+		${WRKSRC}/CMakeLists.txt
+	${REINPLACE_CMD} -e 's|share/man/man1|man/man1|' \
+		${WRKSRC}/client/X11/CMakeLists.txt
 .include <bsd.port.mk>

Modified: head/net/freerdp/distinfo
==============================================================================
--- head/net/freerdp/distinfo	Sun Mar 17 08:58:50 2013	(r314413)
+++ head/net/freerdp/distinfo	Sun Mar 17 09:04:56 2013	(r314414)
@@ -1,2 +1,2 @@
-SHA256 (freerdp-0.8.2.tar.gz) = 389a707b491bd1905c8395ede3df61ac73a55d866f8a56354c6442c23c8730e1
-SIZE (freerdp-0.8.2.tar.gz) = 936410
+SHA256 (freerdp-1.0.2.tar.gz) = 0b12eca36a97327a3202866a08a3afef645e4e4534dfca2138449246fac4ff6a
+SIZE (freerdp-1.0.2.tar.gz) = 3506618

Added: head/net/freerdp/files/patch-cmake_FindFFmpeg.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-cmake_FindFFmpeg.cmake	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,26 @@
+--- cmake/FindFFmpeg.cmake.orig	2013-03-07 10:38:36.747254870 +0000
++++ cmake/FindFFmpeg.cmake	2013-03-07 10:42:07.891253483 +0000
+@@ -8,19 +8,19 @@
+ include(FindPkgConfig)
+ 
+ if (PKG_CONFIG_FOUND)
+-	pkg_check_modules(AVCODEC libavcodec)
+-	pkg_check_modules(AVUTIL libavutil)
++	pkg_check_modules(AVCODEC libavcodec-devel)
++	pkg_check_modules(AVUTIL libavutil-devel)
+ endif ( PKG_CONFIG_FOUND )
+ 
+ # avcodec
+ find_path(AVCODEC_INCLUDE_DIR avcodec.h PATHS ${AVCODEC_INCLUDE_DIRS}
+           PATH_SUFFIXES libavcodec )
+-find_library(AVCODEC_LIBRARY avcodec PATHS ${AVCODEC_LIBRARY_DIRS})
++find_library(AVCODEC_LIBRARY avcodec-devel PATHS ${AVCODEC_LIBRARY_DIRS})
+ 
+ # avutil
+ find_path(AVUTIL_INCLUDE_DIR avutil.h PATHS ${AVUTIL_INCLUDE_DIRS}
+           PATH_SUFFIXES libavutil )
+-find_library(AVUTIL_LIBRARY avutil PATHS ${AVUTIL_LIBRARY_DIRS})
++find_library(AVUTIL_LIBRARY avutil-devel PATHS ${AVUTIL_LIBRARY_DIRS})
+ 
+ if(AVCODEC_INCLUDE_DIR AND AVCODEC_LIBRARY)
+ 	set(AVCODEC_FOUND TRUE)

Added: head/net/freerdp/files/patch-libfreerdp-codec_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-codec_CMakeLists.txt	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,11 @@
+--- libfreerdp-codec/CMakeLists.txt.orig	2013-01-02 21:46:59.000000000 +0000
++++ libfreerdp-codec/CMakeLists.txt	2013-02-27 09:09:10.180252424 +0000
+@@ -46,7 +46,7 @@
+ 	rfx_sse2.c
+ 	rfx_sse2.h
+ )
+-	set_property(SOURCE rfx_sse2.c PROPERTY COMPILE_FLAGS "-msse2")
++	set_property(SOURCE rfx_sse2.c nsc_sse2.c PROPERTY COMPILE_FLAGS "-msse2")
+ endif()
+ 
+ if(WITH_NEON)

Added: head/net/freerdp/files/patch-libfreerdp-codec_color.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-codec_color.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,40 @@
+diff --git a/libfreerdp-codec/color.c b/libfreerdp-codec/color.c
+index dc77707..ee3c1fa 100644
+--- libfreerdp-codec/color.c
++++ libfreerdp-codec/color.c
+@@ -86,7 +86,7 @@ void freerdp_set_pixel(uint8* data, int x, int y, int width, int height, int bpp
+ 	}
+ }
+ 
+-INLINE void freerdp_color_split_rgb(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
++static INLINE void freerdp_color_split_rgb(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
+ {
+ 	*red = *green = *blue = 0;
+ 	*alpha = (clrconv->alpha) ? 0xFF : 0x00;
+@@ -137,7 +137,7 @@ INLINE void freerdp_color_split_rgb(uint32* color, int bpp, uint8* red, uint8* g
+ 	}
+ }
+ 
+-INLINE void freerdp_color_split_bgr(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
++static INLINE void freerdp_color_split_bgr(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
+ {
+ 	*red = *green = *blue = 0;
+ 	*alpha = (clrconv->alpha) ? 0xFF : 0x00;
+@@ -188,7 +188,7 @@ INLINE void freerdp_color_split_bgr(uint32* color, int bpp, uint8* red, uint8* g
+ 	}
+ }
+ 
+-INLINE void freerdp_color_make_rgb(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
++static INLINE void freerdp_color_make_rgb(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
+ {
+ 	switch (bpp)
+ 	{
+@@ -229,7 +229,7 @@ INLINE void freerdp_color_make_rgb(uint32* color, int bpp, uint8* red, uint8* gr
+ 	}
+ }
+ 
+-INLINE void freerdp_color_make_bgr(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
++static INLINE void freerdp_color_make_bgr(uint32* color, int bpp, uint8* red, uint8* green, uint8* blue, uint8* alpha, HCLRCONV clrconv)
+ {
+ 	switch (bpp)
+ 	{

Added: head/net/freerdp/files/patch-libfreerdp-core_fastpath.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-core_fastpath.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,22 @@
+diff --git a/libfreerdp-core/fastpath.c b/libfreerdp-core/fastpath.c
+index dc9caac..587c316 100644
+--- libfreerdp-core/fastpath.c
++++ libfreerdp-core/fastpath.c
+@@ -82,7 +82,7 @@ uint16 fastpath_read_header(rdpFastPath* fastpath, STREAM* s)
+ 	return length;
+ }
+ 
+-INLINE void fastpath_read_update_header(STREAM* s, uint8* updateCode, uint8* fragmentation, uint8* compression)
++static INLINE void fastpath_read_update_header(STREAM* s, uint8* updateCode, uint8* fragmentation, uint8* compression)
+ {
+ 	uint8 updateHeader;
+ 
+@@ -92,7 +92,7 @@ INLINE void fastpath_read_update_header(STREAM* s, uint8* updateCode, uint8* fra
+ 	*compression = (updateHeader >> 6) & 0x03;
+ }
+ 
+-INLINE void fastpath_write_update_header(STREAM* s, uint8 updateCode, uint8 fragmentation, uint8 compression)
++static INLINE void fastpath_write_update_header(STREAM* s, uint8 updateCode, uint8 fragmentation, uint8 compression)
+ {
+ 	uint8 updateHeader = 0;
+ 

Added: head/net/freerdp/files/patch-libfreerdp-core_orders.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-core_orders.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,121 @@
+diff --git a/libfreerdp-core/orders.c b/libfreerdp-core/orders.c
+index 1ee0b89..6c33805 100644
+--- libfreerdp-core/orders.c
++++ libfreerdp-core/orders.c
+@@ -138,7 +138,7 @@ static const uint8 BMF_BPP[] =
+ 		0, 1, 0, 8, 16, 24, 32
+ };
+ 
+-INLINE void update_read_coord(STREAM* s, sint32* coord, boolean delta)
++static INLINE void update_read_coord(STREAM* s, sint32* coord, boolean delta)
+ {
+ 	sint8 lsi8;
+ 	sint16 lsi16;
+@@ -155,7 +155,7 @@ INLINE void update_read_coord(STREAM* s, sint32* coord, boolean delta)
+ 	}
+ }
+ 
+-INLINE void update_read_color(STREAM* s, uint32* color)
++static INLINE void update_read_color(STREAM* s, uint32* color)
+ {
+ 	uint8 byte;
+ 
+@@ -167,7 +167,7 @@ INLINE void update_read_color(STREAM* s, uint32* color)
+ 	*color |= (byte << 16);
+ }
+ 
+-INLINE void update_read_colorref(STREAM* s, uint32* color)
++static INLINE void update_read_colorref(STREAM* s, uint32* color)
+ {
+ 	uint8 byte;
+ 
+@@ -180,7 +180,7 @@ INLINE void update_read_colorref(STREAM* s, uint32* color)
+ 	stream_seek_uint8(s);
+ }
+ 
+-INLINE void update_read_color_quad(STREAM* s, uint32* color)
++static INLINE void update_read_color_quad(STREAM* s, uint32* color)
+ {
+ 	uint8 byte;
+ 
+@@ -193,7 +193,7 @@ INLINE void update_read_color_quad(STREAM* s, uint32* color)
+ 	stream_seek_uint8(s);
+ }
+ 
+-INLINE void update_read_2byte_unsigned(STREAM* s, uint32* value)
++static INLINE void update_read_2byte_unsigned(STREAM* s, uint32* value)
+ {
+ 	uint8 byte;
+ 
+@@ -211,7 +211,7 @@ INLINE void update_read_2byte_unsigned(STREAM* s, uint32* value)
+ 	}
+ }
+ 
+-INLINE void update_read_2byte_signed(STREAM* s, sint32* value)
++static INLINE void update_read_2byte_signed(STREAM* s, sint32* value)
+ {
+ 	uint8 byte;
+ 	boolean negative;
+@@ -232,7 +232,7 @@ INLINE void update_read_2byte_signed(STREAM* s, sint32* value)
+ 		*value *= -1;
+ }
+ 
+-INLINE void update_read_4byte_unsigned(STREAM* s, uint32* value)
++static INLINE void update_read_4byte_unsigned(STREAM* s, uint32* value)
+ {
+ 	uint8 byte;
+ 	uint8 count;
+@@ -276,7 +276,7 @@ INLINE void update_read_4byte_unsigned(STREAM* s, uint32* value)
+ 	}
+ }
+ 
+-INLINE void update_read_delta(STREAM* s, sint32* value)
++static INLINE void update_read_delta(STREAM* s, sint32* value)
+ {
+ 	uint8 byte;
+ 
+@@ -294,7 +294,7 @@ INLINE void update_read_delta(STREAM* s, sint32* value)
+ 	}
+ }
+ 
+-INLINE void update_read_glyph_delta(STREAM* s, uint16* value)
++static INLINE void update_read_glyph_delta(STREAM* s, uint16* value)
+ {
+ 	uint8 byte;
+ 
+@@ -306,7 +306,7 @@ INLINE void update_read_glyph_delta(STREAM* s, uint16* value)
+ 		*value = (byte & 0x3F);
+ }
+ 
+-INLINE void update_seek_glyph_delta(STREAM* s)
++static INLINE void update_seek_glyph_delta(STREAM* s)
+ {
+ 	uint8 byte;
+ 
+@@ -316,7 +316,7 @@ INLINE void update_seek_glyph_delta(STREAM* s)
+ 		stream_seek_uint8(s);
+ }
+ 
+-INLINE void update_read_brush(STREAM* s, rdpBrush* brush, uint8 fieldFlags)
++static INLINE void update_read_brush(STREAM* s, rdpBrush* brush, uint8 fieldFlags)
+ {
+ 	if (fieldFlags & ORDER_FIELD_01)
+ 		stream_read_uint8(s, brush->x);
+@@ -354,7 +354,7 @@ INLINE void update_read_brush(STREAM* s, rdpBrush* brush, uint8 fieldFlags)
+ 	}
+ }
+ 
+-INLINE void update_read_delta_rects(STREAM* s, DELTA_RECT* rectangles, int number)
++static INLINE void update_read_delta_rects(STREAM* s, DELTA_RECT* rectangles, int number)
+ {
+ 	int i;
+ 	uint8 flags = 0;
+@@ -399,7 +399,7 @@ INLINE void update_read_delta_rects(STREAM* s, DELTA_RECT* rectangles, int numbe
+ 	}
+ }
+ 
+-INLINE void update_read_delta_points(STREAM* s, DELTA_POINT* points, int number, sint16 x, sint16 y)
++static INLINE void update_read_delta_points(STREAM* s, DELTA_POINT* points, int number, sint16 x, sint16 y)
+ {
+ 	int i;
+ 	uint8 flags = 0;

Added: head/net/freerdp/files/patch-libfreerdp-gdi_16bpp.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-gdi_16bpp.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,117 @@
+diff --git a/libfreerdp-gdi/16bpp.c b/libfreerdp-gdi/16bpp.c
+index 22b0009..46ca0df 100644
+--- libfreerdp-gdi/16bpp.c
++++ libfreerdp-gdi/16bpp.c
+@@ -878,96 +878,96 @@ int PatBlt_16bpp(HGDI_DC hdc, int nXLeft, int nYLeft, int nWidth, int nHeight, i
+ 	return 1;
+ }
+ 
+-INLINE void SetPixel_BLACK_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_BLACK_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = 0 */
+ 	*pixel = 0;
+ }
+ 
+-INLINE void SetPixel_NOTMERGEPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOTMERGEPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = ~(D | P) */
+ 	*pixel = ~(*pixel | *pen);
+ }
+ 
+-INLINE void SetPixel_MASKNOTPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MASKNOTPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = D & ~P */
+ 	*pixel &= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_NOTCOPYPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOTCOPYPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = ~P */
+ 	*pixel = ~(*pen);
+ }
+ 
+-INLINE void SetPixel_MASKPENNOT_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MASKPENNOT_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = P & ~D */
+ 	*pixel = *pen & ~*pixel;
+ }
+ 
+-INLINE void SetPixel_NOT_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOT_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = ~D */
+ 	*pixel = ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_XORPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_XORPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = D ^ P */
+ 	*pixel = *pixel ^ *pen;
+ }
+ 
+-INLINE void SetPixel_NOTMASKPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOTMASKPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = ~(D & P) */
+ 	*pixel = ~(*pixel & *pen);
+ }
+ 
+-INLINE void SetPixel_MASKPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MASKPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = D & P */
+ 	*pixel &= *pen;
+ }
+ 
+-INLINE void SetPixel_NOTXORPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOTXORPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = ~(D ^ P) */
+ 	*pixel = ~(*pixel ^ *pen);
+ }
+ 
+-INLINE void SetPixel_NOP_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_NOP_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = D */
+ }
+ 
+-INLINE void SetPixel_MERGENOTPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MERGENOTPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = D | ~P */
+ 	*pixel |= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_COPYPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_COPYPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = P */
+ 	*pixel = *pen;
+ }
+ 
+-INLINE void SetPixel_MERGEPENNOT_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MERGEPENNOT_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = P | ~D */
+ 	*pixel = *pen | ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_MERGEPEN_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_MERGEPEN_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = P | D */
+ 	*pixel |= *pen;
+ }
+ 
+-INLINE void SetPixel_WHITE_16bpp(uint16 *pixel, uint16 *pen)
++static INLINE void SetPixel_WHITE_16bpp(uint16 *pixel, uint16 *pen)
+ {
+ 	/* D = 1 */
+ 	*pixel = 0xFFFF;

Added: head/net/freerdp/files/patch-libfreerdp-gdi_32bpp.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-gdi_32bpp.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,117 @@
+diff --git a/libfreerdp-gdi/32bpp.c b/libfreerdp-gdi/32bpp.c
+index 8ed8553..0d5fbd2 100644
+--- libfreerdp-gdi/32bpp.c
++++ libfreerdp-gdi/32bpp.c
+@@ -920,96 +920,96 @@ int PatBlt_32bpp(HGDI_DC hdc, int nXLeft, int nYLeft, int nWidth, int nHeight, i
+ 	return 1;
+ }
+ 
+-INLINE void SetPixel_BLACK_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_BLACK_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = 0 */
+ 	*pixel = 0;
+ }
+ 
+-INLINE void SetPixel_NOTMERGEPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOTMERGEPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = ~(D | P) */
+ 	*pixel = ~(*pixel | *pen);
+ }
+ 
+-INLINE void SetPixel_MASKNOTPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MASKNOTPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = D & ~P */
+ 	*pixel &= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_NOTCOPYPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOTCOPYPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = ~P */
+ 	*pixel = ~(*pen);
+ }
+ 
+-INLINE void SetPixel_MASKPENNOT_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MASKPENNOT_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = P & ~D */
+ 	*pixel = *pen & ~*pixel;
+ }
+ 
+-INLINE void SetPixel_NOT_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOT_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = ~D */
+ 	*pixel = ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_XORPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_XORPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = D ^ P */
+ 	*pixel = *pixel ^ *pen;
+ }
+ 
+-INLINE void SetPixel_NOTMASKPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOTMASKPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = ~(D & P) */
+ 	*pixel = ~(*pixel & *pen);
+ }
+ 
+-INLINE void SetPixel_MASKPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MASKPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = D & P */
+ 	*pixel &= *pen;
+ }
+ 
+-INLINE void SetPixel_NOTXORPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOTXORPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = ~(D ^ P) */
+ 	*pixel = ~(*pixel ^ *pen);
+ }
+ 
+-INLINE void SetPixel_NOP_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_NOP_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = D */
+ }
+ 
+-INLINE void SetPixel_MERGENOTPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MERGENOTPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = D | ~P */
+ 	*pixel |= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_COPYPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_COPYPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = P */
+ 	*pixel = *pen;
+ }
+ 
+-INLINE void SetPixel_MERGEPENNOT_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MERGEPENNOT_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = P | ~D */
+ 	*pixel = *pen | ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_MERGEPEN_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_MERGEPEN_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = P | D */
+ 	*pixel |= *pen;
+ }
+ 
+-INLINE void SetPixel_WHITE_32bpp(uint32* pixel, uint32* pen)
++static INLINE void SetPixel_WHITE_32bpp(uint32* pixel, uint32* pen)
+ {
+ 	/* D = 1 */
+ 	*pixel = 0xFFFFFF;

Added: head/net/freerdp/files/patch-libfreerdp-gdi_8bpp.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freerdp/files/patch-libfreerdp-gdi_8bpp.c	Sun Mar 17 09:04:56 2013	(r314414)
@@ -0,0 +1,117 @@
+diff --git a/libfreerdp-gdi/8bpp.c b/libfreerdp-gdi/8bpp.c
+index e10dde4..bddf327 100644
+--- libfreerdp-gdi/8bpp.c
++++ libfreerdp-gdi/8bpp.c
+@@ -793,96 +793,96 @@ int PatBlt_8bpp(HGDI_DC hdc, int nXLeft, int nYLeft, int nWidth, int nHeight, in
+ 	return 1;
+ }
+ 
+-INLINE void SetPixel_BLACK_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_BLACK_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = 0 */
+ 	*pixel = 0;
+ }
+ 
+-INLINE void SetPixel_NOTMERGEPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOTMERGEPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = ~(D | P) */
+ 	*pixel = ~(*pixel | *pen);
+ }
+ 
+-INLINE void SetPixel_MASKNOTPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MASKNOTPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = D & ~P */
+ 	*pixel &= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_NOTCOPYPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOTCOPYPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = ~P */
+ 	*pixel = ~(*pen);
+ }
+ 
+-INLINE void SetPixel_MASKPENNOT_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MASKPENNOT_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = P & ~D */
+ 	*pixel = *pen & ~*pixel;
+ }
+ 
+-INLINE void SetPixel_NOT_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOT_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = ~D */
+ 	*pixel = ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_XORPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_XORPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = D ^ P */
+ 	*pixel = *pixel ^ *pen;
+ }
+ 
+-INLINE void SetPixel_NOTMASKPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOTMASKPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = ~(D & P) */
+ 	*pixel = ~(*pixel & *pen);
+ }
+ 
+-INLINE void SetPixel_MASKPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MASKPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = D & P */
+ 	*pixel &= *pen;
+ }
+ 
+-INLINE void SetPixel_NOTXORPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOTXORPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = ~(D ^ P) */
+ 	*pixel = ~(*pixel ^ *pen);
+ }
+ 
+-INLINE void SetPixel_NOP_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_NOP_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = D */
+ }
+ 
+-INLINE void SetPixel_MERGENOTPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MERGENOTPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = D | ~P */
+ 	*pixel |= ~(*pen);
+ }
+ 
+-INLINE void SetPixel_COPYPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_COPYPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = P */
+ 	*pixel = *pen;
+ }
+ 
+-INLINE void SetPixel_MERGEPENNOT_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MERGEPENNOT_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = P | ~D */
+ 	*pixel = *pen | ~(*pixel);
+ }
+ 
+-INLINE void SetPixel_MERGEPEN_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_MERGEPEN_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = P | D */
+ 	*pixel |= *pen;
+ }
+ 
+-INLINE void SetPixel_WHITE_8bpp(uint8* pixel, uint8* pen)
++static INLINE void SetPixel_WHITE_8bpp(uint8* pixel, uint8* pen)
+ {
+ 	/* D = 1 */
+ 	*pixel = 0xFF;

Modified: head/net/freerdp/pkg-descr
==============================================================================
--- head/net/freerdp/pkg-descr	Sun Mar 17 08:58:50 2013	(r314413)
+++ head/net/freerdp/pkg-descr	Sun Mar 17 09:04:56 2013	(r314414)
@@ -1,13 +1,6 @@
-FreeRDP is a fork of the rdesktop project that intends to rapidly start moving
-forward and implement features that rdesktop lacks the most.
-
-Improvements:
-
- * Support for cursors on Windows Server 2008 R2
- * Support for bitmap caching, which provides a good performance boost
- * Support for Windows Server 2008 Terminal Services Session Broker Load
-   Balancing
- * New keyboard input system based on the XKB database, providing better support
-   for international keyboards
+FreeRDP is a free implementation of the Remote Desktop Protocol (RDP),
+released under the Apache license.  Enjoy the freedom of using your
+software wherever you want, the way you want it, in a world where
+interoperability can finally liberate your computing experience.
 
 WWW: http://www.freerdp.com/

Modified: head/net/freerdp/pkg-plist
==============================================================================
--- head/net/freerdp/pkg-plist	Sun Mar 17 08:58:50 2013	(r314413)
+++ head/net/freerdp/pkg-plist	Sun Mar 17 09:04:56 2013	(r314414)
@@ -1,59 +1,133 @@
-%%X11%%bin/xfreerdp
-include/freerdp/chanman.h
-include/freerdp/constants_ui.h
-include/freerdp/constants_vchan.h
+%%DIRECTFB%%bin/dfreerdp
+bin/xfreerdp
+include/freerdp/altsec.h
+include/freerdp/api.h
+include/freerdp/cache/bitmap.h
+include/freerdp/cache/brush.h
+include/freerdp/cache/cache.h
+include/freerdp/cache/glyph.h
+include/freerdp/cache/offscreen.h
+include/freerdp/cache/palette.h
+include/freerdp/cache/pointer.h
+include/freerdp/channels/channels.h
+include/freerdp/channels/wtsvc.h
+include/freerdp/codec/bitmap.h
+include/freerdp/codec/color.h
+include/freerdp/codec/nsc.h
+include/freerdp/codec/rfx.h
+include/freerdp/constants.h
 include/freerdp/dvc.h
+include/freerdp/extension.h
 include/freerdp/freerdp.h
-include/freerdp/kbd.h
-include/freerdp/rdpset.h
-include/freerdp/types_ui.h
-include/freerdp/vchan.h
-lib/freerdp/audin.a
-lib/freerdp/audin.la
+include/freerdp/gdi/16bpp.h
+include/freerdp/gdi/32bpp.h
+include/freerdp/gdi/8bpp.h
+include/freerdp/gdi/bitmap.h
+include/freerdp/gdi/brush.h
+include/freerdp/gdi/clipping.h
+include/freerdp/gdi/dc.h
+include/freerdp/gdi/drawing.h
+include/freerdp/gdi/gdi.h
+include/freerdp/gdi/line.h
+include/freerdp/gdi/palette.h
+include/freerdp/gdi/pen.h
+include/freerdp/gdi/region.h
+include/freerdp/gdi/shape.h
+include/freerdp/graphics.h
+include/freerdp/input.h
+include/freerdp/kbd/kbd.h
+include/freerdp/kbd/layouts.h
+include/freerdp/kbd/locales.h
+include/freerdp/kbd/vkcodes.h
+include/freerdp/listener.h
+include/freerdp/peer.h
+include/freerdp/plugins/cliprdr.h
+include/freerdp/plugins/tsmf.h
+include/freerdp/pointer.h
+include/freerdp/primary.h
+include/freerdp/rail.h
+include/freerdp/rail/icon.h
+include/freerdp/rail/rail.h
+include/freerdp/rail/window.h
+include/freerdp/rail/window_list.h
+include/freerdp/secondary.h
+include/freerdp/settings.h
+include/freerdp/svc.h
+include/freerdp/types.h
+include/freerdp/update.h
+include/freerdp/utils/args.h
+include/freerdp/utils/bitmap.h
+include/freerdp/utils/blob.h
+include/freerdp/utils/debug.h
+include/freerdp/utils/dsp.h
+include/freerdp/utils/event.h
+include/freerdp/utils/file.h
+include/freerdp/utils/hexdump.h
+include/freerdp/utils/list.h
+include/freerdp/utils/load_plugin.h
+include/freerdp/utils/memory.h
+include/freerdp/utils/mutex.h
+include/freerdp/utils/passphrase.h
+include/freerdp/utils/pcap.h
+include/freerdp/utils/print.h
+include/freerdp/utils/profiler.h
+include/freerdp/utils/rail.h
+include/freerdp/utils/rect.h
+include/freerdp/utils/registry.h
+include/freerdp/utils/semaphore.h
+include/freerdp/utils/signal.h
+include/freerdp/utils/sleep.h
+include/freerdp/utils/stopwatch.h
+include/freerdp/utils/stream.h
+include/freerdp/utils/string.h
+include/freerdp/utils/svc_plugin.h
+include/freerdp/utils/thread.h
+include/freerdp/utils/unicode.h
+include/freerdp/utils/wait_obj.h
+include/freerdp/window.h
+%%ALSA%%lib/freerdp/audin_alsa.so
+%%ALSA%%lib/freerdp/tsmf_alsa.so
+%%ALSA%%lib/freerdp/rdpsnd_alsa.so
+%%PULSE%%lib/freerdp/audin_pulse.so
+%%PULSE%%lib/freerdp/rdpsnd_pulse.so
+%%PULSE%%lib/freerdp/tsmf_pulse.so
+%%FFMPEG%%lib/freerdp/tsmf_ffmpeg.so
 lib/freerdp/audin.so
-lib/freerdp/cliprdr.a
-lib/freerdp/cliprdr.la
 lib/freerdp/cliprdr.so
-lib/freerdp/disk.a
-lib/freerdp/disk.la
 lib/freerdp/disk.so
-lib/freerdp/drdynvc.a
-lib/freerdp/drdynvc.la
 lib/freerdp/drdynvc.so
-lib/freerdp/parallel.a
-lib/freerdp/parallel.la
 lib/freerdp/parallel.so
-lib/freerdp/pnpdr.a
-lib/freerdp/pnpdr.la
-lib/freerdp/pnpdr.so
-lib/freerdp/printer.a
-lib/freerdp/printer.la
 lib/freerdp/printer.so
-lib/freerdp/rdpdr.a
-lib/freerdp/rdpdr.la
+lib/freerdp/rail.so
+lib/freerdp/rdpdbg.so
 lib/freerdp/rdpdr.so
-%%SOUND%%lib/freerdp/rdpsnd.a
-%%SOUND%%lib/freerdp/rdpsnd.la
-%%SOUND%%lib/freerdp/rdpsnd.so
-lib/freerdp/serial.a
-lib/freerdp/serial.la
+lib/freerdp/rdpsnd.so
 lib/freerdp/serial.so
-lib/libfreerdp.a
-lib/libfreerdp.la
-lib/libfreerdp.so
-lib/libfreerdp.so.0
-lib/libfreerdpchanman.a
-lib/libfreerdpchanman.la
-lib/libfreerdpchanman.so
-lib/libfreerdpchanman.so.0
-lib/libfreerdpgdi.a
-lib/libfreerdpgdi.la
-lib/libfreerdpgdi.so
-lib/libfreerdpgdi.so.0
-lib/libfreerdpkbd.a
-lib/libfreerdpkbd.la
-lib/libfreerdpkbd.so
-lib/libfreerdpkbd.so.0
+lib/freerdp/tsmf.so
+lib/libfreerdp-cache.so
+lib/libfreerdp-cache.so.1.0
+lib/libfreerdp-cache.so.1.0.2
+lib/libfreerdp-channels.so
+lib/libfreerdp-channels.so.1.0
+lib/libfreerdp-channels.so.1.0.2
+lib/libfreerdp-codec.so
+lib/libfreerdp-codec.so.1.0
+lib/libfreerdp-codec.so.1.0.2
+lib/libfreerdp-core.so
+lib/libfreerdp-core.so.1.0
+lib/libfreerdp-core.so.1.0.2
+lib/libfreerdp-gdi.so
+lib/libfreerdp-gdi.so.1.0
+lib/libfreerdp-gdi.so.1.0.2
+lib/libfreerdp-kbd.so
+lib/libfreerdp-kbd.so.1.0
+lib/libfreerdp-kbd.so.1.0.2
+lib/libfreerdp-rail.so
+lib/libfreerdp-rail.so.1.0
+lib/libfreerdp-rail.so.1.0.2
+lib/libfreerdp-utils.so
+lib/libfreerdp-utils.so.1.0
+lib/libfreerdp-utils.so.1.0.2
 libdata/pkgconfig/freerdp.pc
 %%DATADIR%%/keymaps/aliases
 %%DATADIR%%/keymaps/amiga
@@ -66,6 +140,7 @@ libdata/pkgconfig/freerdp.pc
 %%DATADIR%%/keymaps/hp
 %%DATADIR%%/keymaps/ibm
 %%DATADIR%%/keymaps/macintosh
+%%DATADIR%%/keymaps/macosx
 %%DATADIR%%/keymaps/sgi_vndr/indigo
 %%DATADIR%%/keymaps/sgi_vndr/indy
 %%DATADIR%%/keymaps/sgi_vndr/iris
@@ -73,9 +148,18 @@ libdata/pkgconfig/freerdp.pc
 %%DATADIR%%/keymaps/sun
 %%DATADIR%%/keymaps/xfree86
 %%DATADIR%%/keymaps/xfree98
-@dirrm include/freerdp
-@dirrm lib/freerdp
-@dirrm %%DATADIR%%/keymaps/sgi_vndr
-@dirrm %%DATADIR%%/keymaps/digital_vndr
-@dirrm %%DATADIR%%/keymaps
-@dirrm %%DATADIR%%
+%%DATADIR%%/keymaps/xkb.pl
+@dirrmtry include/freerdp/utils
+@dirrmtry include/freerdp/channels
+@dirrmtry include/freerdp/cache
+@dirrmtry include/freerdp/gdi
+@dirrmtry include/freerdp/kbd
+@dirrmtry include/freerdp/rail
+@dirrmtry include/freerdp/codec
+@dirrmtry include/freerdp/plugins
+@dirrmtry include/freerdp
+@dirrmtry lib/freerdp
+@dirrmtry %%DATADIR%%/keymaps/digital_vndr
+@dirrmtry %%DATADIR%%/keymaps/sgi_vndr
+@dirrmtry %%DATADIR%%/keymaps
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 22 Koichiro IWAO 2013-03-17 18:09:31 UTC
I found a problem in my work. If old freerdp exists in the system, it 
fails to build.
It was fixed in r263891 for freerdp 0.8.x. However, the fix is not 
effective for new
freerdp because its build system moved from GNU configure to CMake.
We have to fix it in another way.

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 23 Ruslan Makhmatkhanov freebsd_committer 2013-03-18 11:19:33 UTC
Responsible Changed
From-To: rm->fluffy

Over to maintainer.
Comment 24 Dima Panov freebsd_committer 2013-03-19 00:41:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!